Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatActionBarReportAddBlock

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatActionBar
it.tdlight.jni.TdApi.ChatActionBarReportAddBlock

Enclosing class:
  TdApi

public static final class TdApi.ChatActionBarReportAddBlock extends TdApi.ChatActionBar
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canUnarchive`
If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.
`static final int`
`CONSTRUCTOR`
`int`
`distance`
If non-negative, the current user was found by the peer through searchChatsNearby and this is the distance between the users.

## Constructor Summary

Constructors
Constructor
Description
`ChatActionBarReportAddBlock()`
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.
`ChatActionBarReportAddBlock(boolean canUnarchive, int distance)`
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.
`ChatActionBarReportAddBlock(DataInput input)`
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### canUnarchive

public boolean canUnarchive
If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.

### distance

public int distance
If non-negative, the current user was found by the peer through searchChatsNearby and this is the distance between the users.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatActionBarReportAddBlock

public ChatActionBarReportAddBlock()
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.

### ChatActionBarReportAddBlock

public ChatActionBarReportAddBlock(boolean canUnarchive, int distance)
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.

Parameters:
  `canUnarchive` - boolean If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.
  `distance` - int If non-negative, the current user was found by the peer through searchChatsNearby and this is the distance between the users.

### ChatActionBarReportAddBlock

public ChatActionBarReportAddBlock(DataInput input) throws IOException
The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method toggleMessageSenderIsBlocked, or the other user can be added to the contact list using the method addContact.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`